Bug 830247 - Update to pre3 and autostart
Update to pre3 and autostart
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kredentials (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 12:04 EDT by Orion Poplawski
Modified: 2015-02-18 06:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:08:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2012-06-08 12:04:20 EDT
Description of problem:

2.0 pre3 is available.

kredentials should autostart. This would do it in %install:

%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart
ln -s ../../../usr/share/applications/kde4/kredentials.desktop ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart/

Then in %files:

%{_sysconfdir}/xdg/autostart/kredentials.desktop

Version-Release number of selected component (if applicable):
2.0-0.2.pre1.fc17
Comment 1 Neil Horman 2012-06-08 15:25:41 EDT
I'll gladly update to pre3, no problem, but I'm not sure that I follow the autostart bits.  I have the desktop files already packaged, but I think policy is for users to determine what gets autostarted.  On the current package to select autostarting for kredentials just fine.
Comment 2 Orion Poplawski 2012-06-08 16:00:07 EDT
Global autostarting is up to the packager.  There are lots of links in /etc/xdg/autostart.  It seems to me that any machine that has kredentials installed is going to want to run it for every user of that machine, but I can perhaps see not wanting to and can work around it in any case.
Comment 3 Orion Poplawski 2012-06-08 16:10:34 EDT
One of the changes in pre3 I believe was the addition of a desktop file.
Comment 4 Orion Poplawski 2012-06-11 13:21:12 EDT
No need to install two desktop files.  Just use the upstream version and:

desktop-file-validate ${RPM_BUILD_ROOT}%{_datadir}/applications/kde4/kredentials.desktop

in %install.
Comment 5 Orion Poplawski 2012-10-17 00:25:44 EDT
Ping?
Comment 6 Fedora End Of Life 2013-07-04 03:03:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Orion Poplawski 2013-07-29 01:51:24 EDT
I've checked in the fix for multiple desktop file issue.  I still think it should autostart, but will hold off checking that in for now.
Comment 8 Fedora End Of Life 2013-12-21 10:40:36 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Orion Poplawski 2013-12-23 12:34:16 EST
Neil - Are you still around?
Comment 10 Fedora End Of Life 2015-01-09 17:30:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-18 06:08:22 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.